export const ColorLegend = ({
  colorScale,
  tickSpacing = 40,
  tickSize = 5,
  tickTextOffset = 20, 
  onHover
}) =>
  colorScale.domain().map((domainValue, i) => (
    <g className="tick" transform={`translate(0,${i * tickSpacing})`}
      onMouseEnter ={()=>{onHover(domainValue)}}  
        onMouseOut={() => {
        onHover(null);
      }}
      >
      <circle fill={colorScale(domainValue)} r={tickSize} />
      <text x={tickTextOffset} dy=".32em">
        {domainValue}
      </text>
    </g>
  ));
